INCLUDES=-I${top_srcdir} -I${top_builddir} @AKAXISO2_INCLUDES@

lib_LTLIBRARIES=libosixaka2.la libxiso_main.la
bin_PROGRAMS=osixaka2

libosixaka2_la_SOURCES= \
	exception.cpp exception.h \
	osx.cpp \
	imported_types.cpp imported_types.h \
	registry_unit.cpp registry_unit.h \
	registry.cpp registry.h \
	userdefs.cpp userdefs.h \
	xschemadeserializer.cpp xschemadeserializer.h \
	preprocessor.cpp preprocessor.h \
	processor.cpp processor.h \
	dtd_processor.cpp dtd_processor.h \
	rep_validator.cpp rep_validator.h \
	akaxisonizer.cpp akaxisonizer.h \
	cpp_namer.cpp cpp_namer.h \
	generator.cpp generator.h \
	dot_generator.cpp dot_generator.h \
	xml_xiso.cpp xml_xiso.h xml.h \
	XMLSchema_xiso.cpp XMLSchema_xiso.h XMLSchema.h \
	osx.h \
	osx_xiso.cpp osx_xiso.h \
	schema_st.cpp schema_st.h \
	serializer.cpp serializer.h \
	schema_generator.cpp schema_generator.h \
	osixaka2.cpp osixaka2.h

libosixaka2_la_LIBADD=${top_builddir}/akaxiso2/libakaxiso2.la

libxiso_main_la_SOURCES=xiso_main.cpp

osixaka2_SOURCES=main.cpp
osixaka2_LDADD=libosixaka2.la ${top_builddir}/akaxiso2/libakaxiso2.la
osixaka2_LDFLAGS=@AKAXISO2_LDFLAGS@
osixaka2_DEPENDENCIES=${top_builddir}/akaxiso2/libakaxiso2.la libosixaka2.la

pkgincludedir=${includedir}/${subdir}
pkginclude_HEADERS=XMLSchema.h XMLSchema_xiso.h akaxisonizer.h cpp_namer.h dot_generator.h dtd_processor.h exception.h generator.h imported_types.h osixaka2.h osx.h osx_xiso.h platform.h preprocessor.h processor.h registry.h registry_unit.h schema_st.h schema_st_xiso.h serializer.h simple_map.h userdefs.h xml.h xml_xiso.h xschemadeserializer.h schema_generator.h

